routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', 'Website\WebsiteController@index')->name('home');
Route::get('/login', 'Auth\AuthAdminController@index')->name('admin-mitsubishi');
Route::post('/auth', 'Auth\AuthAdminController@dologin')->name('dologin');
Route::get('/logout', 'Auth\AuthAdminController@logout')->name('logout');


Route::group(['as' => 'angpao.', 'prefix' => '/angpao'], function () {
  Route::get('/form-input', 'Website\WebsiteController@formInput')->name('forminput');
  Route::post('/doverifynopol', 'Website\WebsiteController@doVerifyNoPol')->name('doverifynopol');
  Route::get('/anpaotree', 'Website\WebsiteController@angpaoTree')->name('angpaotree');
  Route::post('/doinputform', 'Website\WebsiteController@doInputForm')->name('doinputform');
  Route::post('/dolottery', 'Website\WebsiteController@doLottery')->name('dolottery');
  Route::get('/voucher', 'Website\WebsiteController@voucher')->name('voucher');
  Route::get('/logout', 'Website\WebsiteController@logout')->name('logout');

});

Route::group(['as' => 'superadmin.', 'prefix' => '/superadmin','middleware' => ['role:Super Admin']], function () {
    Route::get('/setting', 'SuperAdmin\DashboardController@setting')->name('setting');
    Route::post('/settingwebsite', 'SuperAdmin\DashboardController@settingWebsite')->name('settingwebsite');
    Route::get('/', 'SuperAdmin\DashboardController@index')->name('index');

    Route::group(['as' => 'dealer.', 'prefix' => '/dealer'], function () {
        Route::get('/', 'SuperAdmin\DealerController@index')->name('index');
        Route::post('/show/{id}', 'SuperAdmin\DealerController@show')->name('show');
        Route::post('/created', 'SuperAdmin\DealerController@store')->name('store');
        Route::post('/{id}/update', 'SuperAdmin\DealerController@update')->name('update');
        Route::post('/imports', 'SuperAdmin\DealerController@dealerImport')->name('dealerimport');
    });

    Route::group(['as' => 'angpao.', 'prefix' => '/angpao'], function () {
      Route::get('/', 'SuperAdmin\AngpaoController@index')->name('index');
      Route::post('/add-qty/{id}', 'SuperAdmin\AngpaoController@addQty')->name('addqty');
    });

    Route::get('/{dealer}/{start}/{end}/export', 'SuperAdmin\DashboardController@export')->name('customer.export');
});

Route::group(['as' => 'dealer.', 'prefix' => '/dealer','middleware' => ['role:Dealer']], function () {
    Route::get('/', 'Dealer\DealerController@index')->name('index');
    Route::get('/add-customer', 'Dealer\DealerController@AddCustomerIndex')->name('addcustomer');
    Route::get('/{id}/print', 'Dealer\DealerController@print')->name('print');
    Route::get('/search-customer', 'Dealer\DealerController@SearchCustomerIndex')->name('searchcustomer');
    Route::get('/list-customer', 'Dealer\DealerController@ListCustomerIndex')->name('listcustomer');
    Route::post('/{id}/show', 'Dealer\DealerController@show')->name('show');
    Route::post('/createcustomer', 'Dealer\DealerController@createCustomer')->name('createcustomer');
    Route::post('/{id}/update', 'Dealer\DealerController@update')->name('update');
    Route::get('/{dealer}/{start}/{end}/export', 'SuperAdmin\DashboardController@export')->name('customer.export');
    Route::post('/import_customer', 'Dealer\DealerController@import')->name('importcustomer');

});

app/Http/Controllers/Dealer/DealerController.php
<?php

namespace App\Http\Controllers\Dealer;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Entities\Bucket;
use App\Entities\Customer;
use App\Traits\Responder;
use Validator;
use App\Imports\CustomerImport;
use Maatwebsite\Excel\Facades\Excel;

class DealerController extends Controller
{
  use Responder;

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['buckets'] = Bucket::all();
        return view('dealer.dashboard.index',$data);
    }

    public function AddCustomerIndex()
    {
        return view('dealer.customer.addcustomer');
    }

    public function SearchCustomerIndex(Request $request)
    {

        $data['customer'] = Customer::where('id_user',$request->user()->id)->where(function($ee) use($request){
          $ee->where('name','like',"%".$request->customer."%")->orWhere('no_pol','like',"%".$request->no_polisi."%")->orWhere('work_order','like',"%".$request->no_work."%")
          ->orWhereHas('angpao',function($e) use ($request){
            $e->where('code','like',"%".$request->code_angpao."%");
          });
        })->get();

        return view('dealer.customer.search',$data);
    }

    public function ListCustomerIndex()
    {
        $data['custhasntangpao'] = Customer::doesnthave('angpao')->get();
        $data['custhasangpao'] = Customer::has('angpao')->get();
        return view('dealer.customer.list',$data);
    }

    public function createCustomer(Request $request)
    {
      $validator = Validator::make($request->all(), [
        'no_pol' => 'required',
        'work_order' => 'required',
      ]);

      if ($validator->passes()) {
        $customer = new Customer();
        $checkCustomer = Customer::where('no_pol',$request->no_pol)->orWhere('work_order',$request->work_order)->count();
        if ($checkCustomer != 0) {
          $response['message'] = array_merge(['Data sudah ada']);
          return $this->response(400, $response);
        }
        $customer->no_pol = $request->no_pol;
        $customer->id_user = request()->user()->id;
        $customer->work_order = $request->work_order;

        if ($customer->save()) {
          $response['redirect_url'] = route('dealer.addcustomer');
          return $this->response(200, $response);
        }
      }else{
        $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
        return $this->response(400, $response);
      }
    }
    
    public function import(request $request){
      $rules = [
        'file' => 'required|mimes:csv,xls,xlsx'
      ];
      $validator = \Validator::make($request->all(), $rules);
      if($validator->fails()) {
        $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
        return $this->response(400, $response);
      }
      $file = $request->file('file');
      $nama_file = rand().$file->getClientOriginalName();
      $file->move('file_customer',$nama_file);
      Excel::import(new Customerimport, public_path('/file_customer/'.$nama_file));

      $response['redirect_url'] = route('dealer.addcustomer');
      return $this->response(200, $response);
          // return redirect('/dealer/add-customer');
      }
  

    public function print($id)
    {
        $data['customer'] = Customer::findOrFail($id);
        return view('dealer.customer.print',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
      $customer = Customer::find($id);
      $data['customer'] = $customer;
      return $this->response(200, $data);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
          'no_pol' => 'required',
          'work_order' => 'required',
        ]);

        if ($validator->passes()) {
          $customer = Customer::where('id',$id)->doesnthave('angpao')->first();
          if ($customer == null) {
            $response['message'] = array_merge(['data sudah mempunyai angpao dan tidak bisa di hapus']);
            return $this->response(400, $response);
          }
          $customer->name = $request->name;
          $customer->no_pol = $request->no_pol;
          $customer->work_order = $request->work_order;

          if ($customer->save()) {
            if ($request->type == "search") {
              $response['redirect_url'] = route('dealer.searchcustomer');
              return $this->response(200, $response);
            }else{
              $response['redirect_url'] = route('dealer.listcustomer');
              return $this->response(200, $response);
            }

          }
        }else{
          $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
          return $this->response(400, $response);
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/SuperAdmin/AngpaoController.php
<?php

namespace App\Http\Controllers\SuperAdmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Entities\Bucket;
use App\Traits\Responder;
use Validator;

class AngpaoController extends Controller
{
    use Responder;

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['buckets'] = Bucket::orderBy('nominal','DESC')->get();

        return view('superadmin.angpao.index',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    public function addQty(Request $request,$id)
    {
        $validator = Validator::make($request->all(), [
          'qty' => 'required',
        ]);

        if ($validator->passes()) {
          $bucket = Bucket::find($id);
          $bucket->qty = $bucket->qty + $request->qty;

          if ($bucket->save()) {
            $response['redirect_url'] = route('superadmin.angpao.index');
            return $this->response(200, $response);
          }
        }else{
          $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
          return $this->response(400, $response);
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/SuperAdmin/DashboardController.php
<?php

namespace App\Http\Controllers\SuperAdmin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Entities\Bucket;
use App\Exports\CustomerExport;
use App\User;
use Carbon\Carbon;
use App\Entities\Customer;
use App\Entities\Configuration;
use Validator;
use App\Traits\Responder;

class DashboardController extends Controller
{
    use Responder;
  
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['buckets'] = Bucket::all();
        $totalAngpao = 0;
        $totalAngpaoTerbuka = 0;
        $totalAngpaoTerpakai = 0;
        $jumlahAngpao = 0;
        $jumlahAngpaoTerpakai = 0;


        $jumlahhadiah = 0;
        $totalhadiahterbuka=0;
        // foreach ($data['buckets'] as $key => $value) {
        //   $totalAngpao = $totalAngpao + ($value->nominal * $value->qty);
        //   $totalAngpaoTerbuka = $totalAngpaoTerbuka + ($value->angpao->count() * $value->nominal);
        //   $totalAngpaoTerpakai = $totalAngpaoTerpakai + ($value->angpao->count() * $value->nominal);
        //   $jumlahAngpao = $jumlahAngpao + $value->qty;
        //   $jumlahAngpaoTerpakai = $jumlahAngpaoTerpakai + $value->angpao->count();
        // }

        foreach ($data['buckets'] as $key => $value) {
          $totalAngpao = $totalAngpao + ($value->qty);
          $totalAngpaoTerbuka = $totalAngpaoTerbuka + ($value->angpao->count());
          $totalAngpaoTerpakai = $totalAngpaoTerpakai + ($value->angpao->count());
          $jumlahAngpao = $jumlahAngpao + $value->qty;
          $jumlahAngpaoTerpakai = $jumlahAngpaoTerpakai + $value->angpao->count();
        }

        $data['totalangpao'] = $totalAngpao;
        $data['totalangpaoterbuka'] = $totalAngpaoTerbuka;
        $data['totalangpaotersisa'] = $totalAngpao - $totalAngpaoTerpakai;
        $data['jumlahangpaotersisa'] = $jumlahAngpao - $jumlahAngpaoTerpakai;
        $data['dealers'] = User::role('Dealer')->get();
        return view('superadmin.dashboard.index',$data);
    }

    public function export($dealer,$start,$end)
    {
      if ($dealer == "all") {
        $namaDelaer = "Semua Dealer";
      }else{
        $namaDelaer = "Dealer ".User::find($dealer)->name;
      }

      $carbonStart = Carbon::createFromFormat("m-d-Y",$start)->format('Y-m-d 00:00:00');
      $carbonEnd = Carbon::createFromFormat("m-d-Y",$end)->format('Y-m-d 00:00:00');

      return (new CustomerExport($dealer,$carbonStart,$carbonEnd))->download("Data Excel {$namaDelaer} Tanggal {$carbonStart} -  {$carbonEnd} Mitsubishi.xlsx");
    }

    
    public function setting()
    {
      $data['config'] = Configuration::findOrFail(1);
      return view('superadmin.setting.index',$data);
    }

    public function settingWebsite(Request $request)
    {
      $validator = Validator::make($request->all(), [
        'maintenance' => 'required',
      ]);

      if ($validator->passes()) {
        $config = Configuration::findOrFail(1);
        $config->maintenance = $request->maintenance;
        if ($config->save()) {
          $response['redirect_url'] = route('superadmin.setting');
          return $this->response(200, $response);
        }
      }else{
        $response['message'] = array_merge(['Data Invalid!'], $validator->errors()->all());
        return $this->response(400, $response);
      }
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/superadmin/dealer/index.blade.php
@extends('superadmin.template')
@section('styles')
<style media="screen">
  .form-group{
    margin-bottom: 0px;
  }
  .fz-16{
    font-size: 16px;
  }
  .fstyle-title{
    color: #757575;
    font-size: 12px;
  }
</style>

<link href="{{ asset('superuser_asset/plugins/fileuploads/css/dropify.min.css') }}" rel="stylesheet" type="text/css" />

@endsection
@section('content')
<div class="content-wrapper">

  <!-- Page header -->
  <div class="page-header page-header-light">
    <div class="page-header-content header-elements-md-inline">
      <div class="page-title d-flex">
        <h4> <span class="font-weight-semibold">Dealer</span></h4>
        <a href="#" class="header-elements-toggle text-default d-md-none"><i class="icon-more"></i></a>
      </div>
    </div>
  </div>
  <!-- /page header -->


  <!-- Content area -->
  <div class="content">

    <!-- Basic datatable -->
  				<div class="card">
  					<div class="card-header header-elements-inline">
  						<h5 class="card-title"><b>Daftar After Sales</b></h5>
              <div class="header-elements">
                <a href="#"><button type="button" class="btn btn-light mr-2 open-import" >Import</button></a>
                <button type="button" class="btn btn-danger modal-create" data-type="create"><i class="icon-plus3 mr-2"></i> Tambah</button>
              </div>
  					</div>

  					<table class="table table_dealer">
  						<thead>
  							<tr>
  								<th width="20%">Nama After Sales</th>
                  <th width="20%">E-mail</th>
  								<th width="20%">Jumlah Customer</th>
  								<th width="20%">Kado Terbuka</th>
  								<th >Actions</th>
  							</tr>
  						</thead>
  						<tbody>
                <?php foreach ($dealers as $key => $dealer): ?>
                  <tr>
                    <td>{{$dealer->name}}</td>
                    <td>{{$dealer->dealer_code}}</td>
                    <td>{{$dealer->customer->count()}}</td>
                    <td>{{$dealer->angpao->count()}}</td>
                    <td>
                      <button type="button" class="btn btn-danger mr-2 modal-detail" data-action="{{route('superadmin.dealer.show',$dealer->id)}}"  data-customer="{{$dealer->customer->count()}}" data-terbuka="{{$dealer->angpao->count()}}" data-terpakai="{{$dealer->angpao->where('is_using',1)->count()}}">Detail</button>
                      <a href="#"><button type="button" class="btn btn-light mr-2 modal-create" data-type="edit" data-id="{{$dealer->id}}" data-url="{{route('superadmin.dealer.show',$dealer->id)}}">Edit</button></a>
                    </td>
                  </tr>
                <?php endforeach; ?>
  						</tbody>
  					</table>
  				</div>
  				<!-- /basic datatable -->
          <div id="create_dealer" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title-account">Tambah After Sales</h5>
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <form class="kt-form" id="superuser-form" data-action="" enctype="multipart/form-data" autocomplete="off">
                  @csrf
                  <div class="modal-body">
                    <div class="form-group row">
                      <label class="col-form-label col-sm-3">Nama After Sales</label>
                      <div class="col-sm-12">
                        <input type="text" class="form-control" placeholder="Nama After Sales" value="" name="name">
                      </div>
                    </div>

                    <div class="form-group row">
                      <label class="col-form-label col-sm-3">E-mail</label>
                      <div class="col-sm-12">
                        <input type="text" class="form-control" placeholder="Email After Sales" value="" name="dealer_code">
                      </div>
                    </div>

                    <div class="form-group row">
                      <label class="col-form-label col-sm-3">Kota</label>
                      <div class="col-sm-12">
                        <input type="text" class="form-control" placeholder="City" value="" name="city">
                      </div>
                    </div>

                    <div class="form-group row">
                      <label class="col-form-label col-sm-3">Provinsi</label>
                      <div class="col-sm-12">
                        <input type="text" class="form-control" placeholder="Provance" value="" name="provance">
                      </div>
                    </div>

                  </div>

                  <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><b>Kembali</b></button>
                    <button type="submit" name="submit" class="btn bg-danger"><b>Tambah</b></button>
                  </div>
                </form>
              </div>
            </div>
          </div>
          <!-- Detail -->
          <div id="detail_dealer" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title-account"></h5>
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                  <div class="modal-body">
                    <div class="form-group row">
                      <label class="col-form-label col-sm-12 fstyle-title">Nama After Sales</label>
                      <div class="col-sm-12">
                        <p class="fz-16"><b class="text-nama">{{$dealer->name}}</b></p>
                      </div>
                    </div>
                    <div class="form-group row">
                      <label class="col-form-label col-sm-12 fstyle-title">E-mail After Sales</label>
                      <div class="col-sm-12">
                        <p class="fz-16"><b class="text-dealercode">{{$dealer->dealer_code}}</b></p>
                      </div>
                    </div>

                    <div class="form-group row">
                      <label class="col-form-label col-sm-12 fstyle-title">Jumlah Customer</label>
                      <div class="col-sm-12">
                        <p class="fz-16 text-customer"><b>{{$dealer->customer->count()}}</b></p>
                      </div>
                    </div>

                    <div class="form-group row">
                      <label class="col-form-label col-sm-12 fstyle-title">Jumlah Kado Terbuka</label>
                      <div class="col-sm-12">
                        <p class="fz-16 text-terbuka"><b>{{$dealer->angpao->count()}}</b></p>
                      </div>
                    </div>
                    </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><b>Kembali</b></button>
                  </div>
              </div>
            </div>
          </div>

          <div id="import_dealer" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
              <form class="kt-form" id="form-import" data-action="{{route('superadmin.dealer.dealerimport')}}" enctype="multipart/form-data" autocomplete="off">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title-account"><b>Import Excel After Sales</b></h5>
                  <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    @csrf
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="col-md-12">
                            <input type="file" name="file" class="dropify" required data-height="300" data-default-file="" />
                          </div>
                        </div>
                      </div>
                    </div>
                </div>
                <div class="modal-footer">
                  <button type="submit" name="submit" class="btn bg-danger"><b>Import</b></button>
                  <button type="button" class="btn btn-light" data-dismiss="modal"><b>Kembali</b></button>
                </div>
              </div>
              </form>
            </div>
          </div>
        </div>
  <!-- /content area -->
</div>
@section('scripts')
<script src="{{ asset('superuser_asset/plugins/fileuploads/js/dropify.min.js') }}"></script>
<script src="{{asset('superuser_asset/global_assets/js/plugins/tables/datatables/datatables.min.js')}}"></script>
<script src="{{asset('superuser_asset/global_assets/js/demo_pages/datatables_basic.js')}}"></script>
<script src="{{asset('superuser_asset/form/form.js')}}"></script>
<script src="{{asset('superuser_asset/form/formimport.js')}}"></script>

<script type="text/javascript">
$(document).ready(function() {

  $('.table_dealer').dataTable({
    "responsive": true,
    "processing": true,
    "filter":true,
    "columnDefs": [{
        "orderable": false,
        "width": 100,
        "targets": [ 5 ]
    }],

  });

  $('.dropify').dropify({
        messages: {
            'default': 'Uploud file excel disini',
            'replace': 'Uploud file excel disini',
            'remove': 'Remove',
            'error': 'Ooops, something wrong appended.'
        },
        error: {
            'fileSize': 'The file size is too big (1M max).'
        }
    });
});

$(document).on('click','.modal-create',function(){
  var type = $(this).data('type');

    if (type == "edit") {
      var action = $(this).data('url');
      var id = $(this).data('id');

      $.ajaxSetup({
          headers:
          { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') }
      });

      $.post(action, function (data) {
          $('[name="name"]').val(data.data.dealer.name);
          $('[name="dealer_code"]').val(data.data.dealer.dealer_code);
          $('[name="city"]').val(data.data.dealer.city);
          $('[name="provance"]').val(data.data.dealer.provance);
      });
      var urlAEdit = '{{ route("superadmin.dealer.update", ":id") }}';
      urlAEdit = urlAEdit.replace(':id', id);
      $('#superuser-form').attr('data-action',urlAEdit);
      $('.modal-title-account').text('Edit After Sales');

      $('#create_dealer').modal('show');
    }else{
      $('#superuser-form').attr('data-action',"{{route('superadmin.dealer.store')}}");
      $('[name="name"]').val("");
      $('[name="dealer_code"]').val("");
      $('[name="city"]').val("");
      $('[name="provance"]').val("");
      $('.modal-title-account').text('Buat After Sales');

      $('#create_dealer').modal('show');
    }


 });

$(document).on('click','.open-import',function(){
   $('#import_dealer').modal('show');
});

$(document).on('click','.modal-detail',function(){
   var action = $(this).data('action');
   var terbuka = $(this).data('terbuka');
   var terpakai = $(this).data('terpakai');
   var customer = $(this).data('customer');
    $.ajaxSetup({
        headers:
        { 'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content') }
    });

    $.post(action, function (data) {
        $('.text-nama').text(data.data.dealer.name);
        $('.text-dealercode').text(data.data.dealer.dealer_code);
        $('.text-customer b').text(customer);
        $('.text-terbuka b').text(terpakai);
        $('.text-terpakai b').text(terpakai);
        $('.text-angpao-terpakai b').text("Rp " +data.data.totalangpao.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ","));
    });
    $('#detail_dealer').modal('show');
});

</script>
@endsection
@endsection